@ECHO OFF
IF EXIST M00.PAC GOTO INSTALL
GOTO RUNNIT
:INSTALL
MD PACS
MD DATA
XCOPY *.PAC PACS\ /V
XCOPY *.BIN DATA\ /V
XCOPY *.PCM DATA\ /V
XCOPY DUMSCR.LBM DATA\ /V
XCOPY ALFAPIC.RBM PACS\ /V
DEL DUMSCR.LBM
DEL ALFAPIC.RBM
DEL *.BIN
DEL *.PAC
DEL *.PCM
:RUNNIT
EMSTEST
IF ERRORLEVEL 1 GOTO EXIT2
ANIMPLAY
IF ERRORLEVEL 2 GOTO NEWGAME
IF ERRORLEVEL 1 GOTO PLAYGAME
GOTO EXIT
:NEWGAME
CHARGEN
:PLAYGAME
WIZ
:EXIT
ECHO Thanks for playing Wizard!
:EXIT2
@ECHO ON